    /*
    Werkhalter für Ø "wd" by Dirk Fassbender
    www.dirkfassbender.de
    Junghans Taschenuhrwerke
    -J9                                                                       44,6 x 6 mm
    -J9                                                                       41,8 x 6 mm
    -J13, J14, J15                                                        43,7 x 6 mm
    -J16, J17, J26, J31, J32, J33, J34, J36, J38, Nova       42,0 x 7 mm
    -J41, J42, J47, J48, J49                                           42,7 x 6 mm
    -J55, J69, H                                                           44,5 x 9 mm
    -J71                                                                      38,6 x 7 mm
    Andere Werke
    -Unitas 6497, 6498                                                 37,2 x 4,5 mm
    
    So far best printer settings:
    0,1 mm layer height
    100% infill
    */
    wd=37.2;
    //Werkhöhe "wh", maximal 8 mm
    wh=4.5;
    use <Write.scad>
    $fn=256;    
    translate([0,0,12.5])
        difference()
        {
            cylinder(h = 25, r=wd/2+2, center=true);	
            //Werkeinschnitt 
            translate([0,0,17.5-wh])
            cylinder(h=10, r=wd/2, center=true);
            //Mittelzylinder
            translate([0,0,0])
            cylinder(h=30, r=wd/2-2, center=true);		
            // Phase
            translate([0,0,-11.6])
            difference(){
            cylinder(h = 2, r2=wd/2+3, r1=wd/2+3,center=true);	
            translate([0,0,0.2])
            cylinder(h = 2.7, r2=wd/2+3, r1=wd/2+1.5,center=true);
            }     
            //Ausschnitt
            translate([0,0,12])
            rotate([90,0,90])
                hull()
                {
                    translate([wd/100*10,0,0])
                cylinder(h=wd+6, r=wh, center=true);  
                    translate([-wd/100*10,0,0])
                cylinder(h=wd+6, r=wh, center=true);  
                }      
            translate([0,0,12])
            rotate([90,0,0])
                hull()
                {
                    translate([wd/100*10,0,0])
                cylinder(h=wd+6, r=wh, center=true);  
                    translate([-wd/100*10,0,0])
                cylinder(h=wd+6, r=wh, center=true);  
                }
            //Spannloch
            translate([0,10,-3])  
            rotate([90,90,0])
            cylinder(h=wd, r=4, center=true);   
            //Einschnitt vertikal
            translate([-2,0,-15])
            cube([4,wd,30]);
            }
            //Beschriftung
            translate([0,0,10])
            writesphere(text=str(wd," mm"), where=[0,0,0], radius=wd/2+2, font = "orbitron.dxf", h=7, east=-2);     
           //Centralfuss
            difference()
            {
                union()
                {
            cylinder(h = 11, d=6);
            translate([wd/2-1,0,0])
            rotate([0,0,180])
            cylinder(h = 11, d=6,$fn=5);
            translate([wd/4,0,5.5])
            rotate([0,0,270])
            cube([3,wd/2,11],center=true);          
            }
            //Kernloch für M4 Gewinde
             cylinder(h = 30, d=3.3,center=true);	 
        }